<?php
/**
 * Plugin Name: Seconds Interval Timer
 * Plugin URI: http://www.intervaltimer.com
 * Description: Allows shortcode to create embedded interval timers on wordpress
 * Version: 1.0
 * Author: Daniel Wood
 * Author URI: http://www.runloop.com
 * License: GPL12
 */

add_action( 'wp_enqueue_scripts', 'rl_enqueue_scripts' );
function rl_enqueue_scripts() {
    wp_register_style( 'seconds', plugins_url('styles.css', __FILE__) );
    wp_enqueue_style( 'seconds' );
}

add_shortcode('seconds', 'rl_seconds_func');
function rl_seconds_func($atts)
{
    if(!isset($atts['timer']) || intval($atts['timer']) == 0) {
        return;
    }
    $timer_id = intval($atts['timer']);
    $json_string = file_get_contents('http://www.intervaltimer.com/timers/' . $timer_id . '.json');
    $timer = json_decode($json_string);

    ob_start();
    ?>
    <div class="seconds-timer-container timer<?= $timer_id ?> seconds-reset" style="width:480px;color:#bbb;background-color:#333;text-align:center;font:14px sans-serif"><h3 style="font:16px sans-serif"><a href="http://www.intervaltimer.com/timers/<?= $timer_id ?>" style="color:#afb4e7"><?= $timer->name ?></a></h3><p>Create your own <a href="http://www.intervaltimer.com" style="color:#afb4e7">interval timer</a> or download our <a href="http://www.intervaltimer.com/apps" style="color:#afb4e7">interval timer app</a></p></div>
    <script data-seconds-timer-id="<?= $timer_id ?>">
    var Runloop = window.Runloop || {};
    (function() {
        Runloop.defs = Runloop.defs || {};
        Runloop.defs['timer<?= $timer_id ?>'] = <?= $json_string ?>;

        var script = document.createElement('script');
        script.src = '//s3.amazonaws.com/widget.intervaltimer.com/1/widget.js';
        script.async = true;
        document.body.insertBefore(script, document.body.firstChild);
    })();
    </script>
    <?php
    return ob_get_clean();
}